# Method: videos.renderVideo

- [HTTP request](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/renderVideo#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/renderVideo#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/renderVideo#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/renderVideo#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/renderVideo#body.RenderVideoResponse.SCHEMA_REPRESENTATION)

Adds an address to the renderer's queue if a video hasn't already been rendered. Otherwise, returns metadata about the video.

### HTTP request

`POST https://aerialview.googleapis.com/v1/videos:renderVideo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "address": string } ``` |

| Fields ||
|---|---|
| `address` | `string` Required. A US postal address for the location to be rendered in the video. |

### Response body

Response message for `AerialView.RenderVideo`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "state": enum (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/State`), "metadata": { object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/VideoMetadata`) } } ``` |

| Fields ||
|---|---|
| `state` | ``enum (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/State`)`` Current state of the render request. |
| `metadata` | ``object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/VideoMetadata`)`` Contains the video's metadata, only set if the state is `ACTIVE`. |